Loading...
Searching...
No Matches
BALL::VIEW::FakeDriver Class Reference

`#include <BALL/VIEW/INPUT/fakeDriver.h>`

Inheritance diagram for BALL::VIEW::FakeDriver:

## Public Member Functions

| FakeDriver (Scene *receiver)
bool | setUp ()
bool | tearDown ()
void | setEnabled (bool enabled)
Public Member Functions inherited from BALL::VIEW::InputDeviceDriver
| InputDeviceDriver (QWidget *reciever)
virtual | ~InputDeviceDriver ()
void | setEnabled (bool enabled)
bool | isEnabled ()
void | setReceiver (Scene *s)
QWidget * | getReceiver ()

## Additional Inherited Members

Protected Member Functions inherited from BALL::VIEW::InputDeviceDriver
void | emitPositionChange (double x, double y, double z, double a, double b, double c)
void | emitPositionChange (double x, double y, double z, double q1, double q2, double q3, double q4)
void | emitHeadChange (double x, double y, double z, double q1, double q2, double q3, double q4)

## Detailed Description

Definition at line 7 of file fakeDriver.h.

## Constructor & Destructor Documentation

## FakeDriver()

BALL::VIEW::FakeDriver::FakeDriver | ( | Scene * | receiver | ) |

inline

Definition at line 10 of file fakeDriver.h.

## Member Function Documentation

## setEnabled()

void BALL::VIEW::FakeDriver::setEnabled | ( | bool | enabled | ) |

inline

Definition at line 15 of file fakeDriver.h.

## setUp()

bool BALL::VIEW::FakeDriver::setUp | ( |  | ) |

inline virtual

Implements BALL::VIEW::InputDeviceDriver.

Definition at line 12 of file fakeDriver.h.

## tearDown()

bool BALL::VIEW::FakeDriver::tearDown | ( |  | ) |

inline virtual

Implements BALL::VIEW::InputDeviceDriver.

Definition at line 13 of file fakeDriver.h.